@font-face {
    font-family: "CheltenhamDG";
    src: url("assets/fonts/Cheltenham Condensed Regular.ttf") format("truetype");
}

@font-face {
    font-family: "AtkinsonDG";
    src: url("assets/fonts/AtkinsonHyperlegible-Regular.ttf") format("truetype");
}

:root{

    --principal:#c7b29d;
    --claro:#efe6dc;
    --texto:#111;
    --borde:#4f4135;

}

*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

body{

    background:var(--principal);

    font-family:"AtkinsonDG",Arial,sans-serif;

    min-height:100vh;

    display:flex;
    justify-content:center;
    align-items:center;

    padding:50px;
}

/*======================================
            CONTENEDOR
======================================*/

.registro-page{

    width:1200px;
    max-width:100%;

    display:grid;
    grid-template-columns:1.3fr .9fr;

    gap:40px;

    align-items:center;
}

/*======================================
            TARJETA
======================================*/

.registro-form-card{

    background:var(--claro);

    border-radius:28px;

    padding:34px;

    box-shadow:0 8px 28px rgba(0,0,0,.10);
}

/*======================================
            GRID
======================================*/

.registro-grid{

    display:grid;

    grid-template-columns:1fr 1fr;

    gap:16px;
}

.registro-grid .full{

    grid-column:1 / 3;
}

/*======================================
            INPUTS
======================================*/

.registro-grid input,
.registro-grid select{

    height:58px;
    border:2px solid var(--borde);
    border-radius:18px;
    background:#ccb8a2;
    color:#111;
    font-size:16px;
    text-align:center;
    outline:none;
    font-family:"AtkinsonDG";
}

.registro-grid input::placeholder{

    color:#111;

    opacity:1;

    letter-spacing:2px;
}

.registro-grid select{

    appearance:none;
    cursor:pointer;
}

/*======================================
            MENSAJES
======================================*/

.registro-mensaje{

    margin-top:20px;

    text-align:center;

    font-size:16px;

    color:#b10000;

    min-height:22px;

    line-height:1.5;
}

.registro-mensaje.success{

    color:#14873b;
}

/*======================================
        LADO DERECHO
======================================*/

.registro-info{

    display:flex;

    flex-direction:column;

    align-items: center;

    justify-content:center;
}

.registro-info h1{

    font-family:"CheltenhamDG";
    font-size:72px;
    line-height:.92;
    font-weight:400;
    color:#111;
    margin-bottom:20px;
    text-align: center;
}

.registro-logo{

    width:270px;

    margin-bottom:35px;
}

/*======================================
            BOTÓN
======================================*/

.registro-btn{

    width:100%;

    height:60px;

    border-radius:22px;

    border:2px solid var(--borde);

    background:var(--claro);

    color:#111;

    font-family:"AtkinsonDG";

    font-size:20px;

    letter-spacing:2px;

    cursor:pointer;

    transition:.25s;
}

.registro-btn:hover{

    background:#e7dbcf;
}

/*======================================
        YA TIENES CUENTA
======================================*/

.registro-login{

    margin-top:22px;

    font-size:16px;
}

.registro-login a{

    color:#111;

    font-weight:700;

    text-decoration:none;
}

.registro-login a:hover{

    text-decoration:underline;
}

/*======================================
            RESPONSIVE
======================================*/

@media(max-width:1050px){

.registro-page{

    grid-template-columns:1fr;

    gap:50px;
}

.registro-info{

    align-items:center;

    text-align:center;
}

.registro-info h1{

    font-size:58px;
}

.registro-logo{

    width:230px;
}

}

@media(max-width:700px){

body{

    padding:20px;
}

.registro-form-card{

    padding:22px;
}

.registro-grid{

    grid-template-columns:1fr;
}

.registro-grid .full{

    grid-column:auto;
}

.registro-info h1{

    font-size:46px;
}

.registro-logo{

    width:190px;
}

.registro-btn{

    height:56px;

    font-size:18px;
}

.registro-grid select {
    text-align: center;
    text-align-last: center;
}

}

.password-box{

    position:relative;

    width:100%;
}

.password-box input{

    width:100%;
    padding-right:55px;
}

.toggle-password{

    position:absolute;

    right:18px;
    top:50%;

    transform:translateY(-50%);

    cursor:pointer;

    font-size:22px;

    user-select:none;

    color:#5c4b3f;
}

.toggle-password:hover{

    opacity:.7;
}